Intel® Enhanced Privacy ID SDK 2.0.0

Data Fields
Epid2Params_ Struct Reference
epid » common

Internal representation of Epid2Params. More...

`#include <epid/common/epid2params.h>`

## Data Fields
BigNum * | p
| a prime
BigNum * | q
| a prime
BigNum * | t
| an integer
bool | neg
| a boolean
FfElement * | xi
| array of integers between [0, q-1]
EcPoint * | g1
| a generator (an element) of G1
EcPoint * | g2
| a generator (an element) of G2
FiniteField * | Fp
| Finite field Fp.
FiniteField * | Fq
| Finite field Fq.
FiniteField * | Fq2
| Finite field Fq2.
FiniteField * | Fq6
| Finite field Fq6.
FiniteField * | GT
| Finite field GT(Fq12 )
EcGroup * | G1
| Elliptic curve group over finite field Fq.
EcGroup * | G2
| Elliptic curve group over finite field Fq2.
PairingState * | pairing_state
| Pairing state.

## Detailed Description

Internal representation of Epid2Params.

The documentation for this struct was generated from the following file:

- epid/common/epid2params.h